#
# spec file for package mh (Version 6.8.4debian25)
# 
# Copyright  (c)  1998  S.u.S.E. GmbH  Fuerth, Germany.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  tetex

Vendor:       S.u.S.E. GmbH, Fuerth, Germany
Distribution: S.u.S.E. Linux 5.3 (i386)
Name:         mh
Release:      1
Copyright:    
Group: 
Provides:     mh 
Requires: 
Conflicts:    
Autoreqprov:  on
Packager:     feedback@suse.de

Version:      6.8.4debian25
Summary:      Unix Mail Handler
Source: mh-6.8.tar.gz
Patch0: MH.6.8.4.gz
Patch1: mh_6.8.4-25.diff.gz
Patch2: mh-6.8.4.dif
%description
MH is a popular mail handling system but includes only a command
line interface.  This disadvantage is on the other hand its
most advantage over other graphical mail systems.

Authors:
--------
    Michael Alan Dorman <mdorman@calder.med.miami.edu>
    David Morris <bweaver@worf.netins.net>
    Philip Hands <phil@hands.com>
    Adam P. Harris <aph@debian.org>

%prep
  tar xfz $RPM_SOURCE_DIR/mh-6.8.tar.gz
  (
    cd mh-6.8.3/;
    zcat $RPM_SOURCE_DIR/MH.6.8.4.gz | patch -p0 -s
    find . -name '*.orig' -exec rm -f '{}' \;
  )
  mv mh-6.8.3 mh-6.8.4
  [ -n "`find $RPM_BUILD_DIR/mh-6.8.4 -name '*.rej'`" ] && exit 1
%setup -T -D -n mh-6.8.4
%patch1 -p1 -b .debian
%patch2 -p0 -b .suse
%build
  make -f Makefile.Linux compile
%install
# set +o posix
# touch /tmp/bstamp; sleep 1; sync
  #
  make -f Makefile.Linux install
  Check
  #
# touch /tmp/estamp; sleep 1; sync
# find / -depth \( -newer /tmp/bstamp -a \( -not -newer /tmp/estamp \) \) -a \( \
#	\( \( \( -not -type d \) -a \( -not -type l \) \) -printf '%%p\n' \) -o \
#	\( -type d -printf '%%p/\n' \) -o \( -type l -printf '%%p\n'  \) \)  >  \
#	>(sort -t /|grep -vE '^(/tmp|/proc|/usr/src/packages)' > /tmp/mh-list)
# rm /tmp/estamp /tmp/bstamp
%files
%dir /usr/bin/mh/
/usr/bin/mh/ali
/usr/bin/mh/anno
/usr/bin/mh/burst
/usr/bin/mh/comp
/usr/bin/mh/dist
/usr/bin/mh/folder
/usr/bin/mh/folders
/usr/bin/mh/forw
/usr/bin/mh/inc
/usr/bin/mh/mark
/usr/bin/mh/mhmail
/usr/bin/mh/mhn
/usr/bin/mh/mhparam
/usr/bin/mh/mhpath
/usr/bin/mh/msgchk
/usr/bin/mh/msh
/usr/bin/mh/next
/usr/bin/mh/packf
/usr/bin/mh/pick
/usr/bin/mh/prev
/usr/bin/mh/prompter
/usr/bin/mh/refile
/usr/bin/mh/repl
/usr/bin/mh/rmf
/usr/bin/mh/rmm
/usr/bin/mh/scan
/usr/bin/mh/send
/usr/bin/mh/show
/usr/bin/mh/sortm
/usr/bin/mh/vmh
/usr/bin/mh/whatnow
/usr/bin/mh/whom
%docdir /usr/doc/packages/mh/
%doc /usr/doc/packages/mh/ADMIN.doc
%doc /usr/doc/packages/mh/CHANGES
%doc /usr/doc/packages/mh/FAQ
%doc /usr/doc/packages/mh/MH.doc
%doc /usr/doc/packages/mh/READ-ME
%doc /usr/doc/packages/mh/debian.copyright
%docdir /usr/doc/packages/mh/papers/
%docdir /usr/doc/packages/mh/papers/bboards/
%doc /usr/doc/packages/mh/papers/bboards/bboards.dvi
%docdir /usr/doc/packages/mh/papers/beginners/
%doc /usr/doc/packages/mh/papers/beginners/beginners.dvi
%docdir /usr/doc/packages/mh/papers/mh4/
%doc /usr/doc/packages/mh/papers/mh4/mh4.dvi
%docdir /usr/doc/packages/mh/papers/mh4mm/
%doc /usr/doc/packages/mh/papers/mh4mm/mh4mm.dvi
%docdir /usr/doc/packages/mh/papers/mh5/
%doc /usr/doc/packages/mh/papers/mh5/mh5.dvi
%docdir /usr/doc/packages/mh/papers/mh6.5/
%doc /usr/doc/packages/mh/papers/mh6.5/mh6.dvi
%docdir /usr/doc/packages/mh/papers/multifarious/
%doc /usr/doc/packages/mh/papers/multifarious/multifarious.dvi
%docdir /usr/doc/packages/mh/papers/mznet/
%doc /usr/doc/packages/mh/papers/mznet/mznet.dvi
%docdir /usr/doc/packages/mh/papers/realwork/
%doc /usr/doc/packages/mh/papers/realwork/realwork.dvi
%docdir /usr/doc/packages/mh/papers/trusted/
%doc /usr/doc/packages/mh/papers/trusted/trusted.dvi
%docdir /usr/doc/packages/mh/papers/tutorial/
%doc /usr/doc/packages/mh/papers/tutorial/tutorial.dvi
%docdir /usr/doc/packages/mh/scripts/
%doc /usr/doc/packages/mh/scripts/README.ascii
%doc /usr/doc/packages/mh/scripts/README.html
%doc /usr/doc/packages/mh/scripts/pgpmail.mh
/usr/lib/libmh.so.3.2
%dir /usr/lib/mh/
/usr/lib/mh/MailAliases
/usr/lib/mh/ap
/usr/lib/mh/components
/usr/lib/mh/conflict
/usr/lib/mh/digestcomps
/usr/lib/mh/distcomps
/usr/lib/mh/dp
/usr/lib/mh/fmtdump
/usr/lib/mh/forwcomps
/usr/lib/mh/install-mh
/usr/lib/mh/mhl
/usr/lib/mh/mhl.body
/usr/lib/mh/mhl.digest
/usr/lib/mh/mhl.format
/usr/lib/mh/mhl.forward
/usr/lib/mh/mhl.headers
/usr/lib/mh/mhl.reply
/usr/lib/mh/mhn_defaults
/usr/lib/mh/mtstailor
/usr/lib/mh/packmbox
/usr/lib/mh/popaka
/usr/lib/mh/popd
/usr/lib/mh/popwrd
/usr/lib/mh/post
/usr/lib/mh/rcvdist
/usr/lib/mh/rcvdistcomps
/usr/lib/mh/rcvpack
/usr/lib/mh/rcvstore
/usr/lib/mh/rcvtty
/usr/lib/mh/replcomps
/usr/lib/mh/scan.default
/usr/lib/mh/scan.mailx
/usr/lib/mh/scan.size
/usr/lib/mh/scan.time
/usr/lib/mh/scan.timely
/usr/lib/mh/slocal
/usr/lib/mh/spop
/usr/lib/mh/spost
/usr/lib/mh/tmac.h
/usr/lib/mh/viamail
%doc /usr/man/man1/ali.1mh.gz
%doc /usr/man/man1/anno.1mh.gz
%doc /usr/man/man1/burst.1mh.gz
%doc /usr/man/man1/comp.1mh.gz
%doc /usr/man/man1/dist.1mh.gz
%doc /usr/man/man1/folder.1mh.gz
%doc /usr/man/man1/forw.1mh.gz
%doc /usr/man/man1/inc.1mh.gz
%doc /usr/man/man1/mark.1mh.gz
%doc /usr/man/man1/mh-chart.1mh.gz
%doc /usr/man/man1/mh.1mh.gz
%doc /usr/man/man1/mhl.1mh.gz
%doc /usr/man/man1/mhmail.1mh.gz
%doc /usr/man/man1/mhn.1mh.gz
%doc /usr/man/man1/mhook.1mh.gz
%doc /usr/man/man1/mhparam.1mh.gz
%doc /usr/man/man1/mhpath.1mh.gz
%doc /usr/man/man1/msgchk.1mh.gz
%doc /usr/man/man1/msh.1mh.gz
%doc /usr/man/man1/next.1mh.gz
%doc /usr/man/man1/packf.1mh.gz
%doc /usr/man/man1/pick.1mh.gz
%doc /usr/man/man1/prev.1mh.gz
%doc /usr/man/man1/prompter.1mh.gz
%doc /usr/man/man1/rcvstore.1mh.gz
%doc /usr/man/man1/refile.1mh.gz
%doc /usr/man/man1/repl.1mh.gz
%doc /usr/man/man1/rmf.1mh.gz
%doc /usr/man/man1/rmm.1mh.gz
%doc /usr/man/man1/scan.1mh.gz
%doc /usr/man/man1/send.1mh.gz
%doc /usr/man/man1/show.1mh.gz
%doc /usr/man/man1/slocal.1mh.gz
%doc /usr/man/man1/sortm.1mh.gz
%doc /usr/man/man1/vmh.1mh.gz
%doc /usr/man/man1/whatnow.1mh.gz
%doc /usr/man/man1/whom.1mh.gz
%doc /usr/man/man5/mh-alias.5mh.gz
%doc /usr/man/man5/mh-format.5mh.gz
%doc /usr/man/man5/mh-mail.5mh.gz
%doc /usr/man/man5/mh-profile.5mh.gz
%doc /usr/man/man5/mh-sequence.5mh.gz
%doc /usr/man/man5/mh-tailor.5mh.gz
%doc /usr/man/man8/ap.8mh.gz
%doc /usr/man/man8/conflict.8mh.gz
%doc /usr/man/man8/dp.8mh.gz
%doc /usr/man/man8/fmtdump.8mh.gz
%doc /usr/man/man8/install-mh.8mh.gz
%doc /usr/man/man8/post.8mh.gz

